libimf.so: feupdateenv is not implemented and will always fail

libimf.so: feupdateenv is not implemented and will always fail

Compiler:intel_fce_80 Package ID: l_fce_pc_8.1.023
System : RedHat Linux 2.4.21-20.EL
Is it true that feupdateenv is not imiplemented in that build?
Thanks,
Jian
3 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.
I got the same error -
"libimf.so: feupdateenv is not implemented and will always fail"
with Intel8.1 and Intel9.0 compilers on our SuSE 9 system. Below is the system info -
Linux 2.6.5-7.193-smp #1 SMP Wed Jul 20 14:39:18 UTC 2005 x86_64 x86_64 x86_64 GNU/Linux
SUSE LINUX Enterprise Server 9 (x86_64)
VERSION = 9
PATCHLEVEL = 2
I checked the header files and could find "feupdateenv" in any of them. I found "feupdateenv" function declared in fenv.h on a IBM AIX5.2 system though.
Any suggestion, anyone please?

Looking at other reports of this, it occurs when one is linking in the Linux-supplied libm rather than the Intel libm.

Try adding -i_dynamic to the ifort line and not using -lm.

Retired 12/31/2016

Leave a Comment

Please sign in to add a comment. Not a member? Join today